> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.enigmagenomics.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.enigmagenomics.com/_mcp/server.

# Get report PDF

GET https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL

The **Get Report PDF API** retrieves the PDF file for a specific report for a given sample.

- **Method:** `GET`
    
- **Path:** `{{baseUrl}}/reports/pdf/{sampleId}/{reportCode}`
    
- **Example:** `{{baseUrl}}/reports/pdf/EG23A100/EGGENSOL`
    
- **Purpose:** Returns the binary PDF document for the specified report code (e.g., `EGGENSOL`) belonging to the sample ID (e.g., `EG23A100`), so it can be viewed, downloaded, or attached in downstream systems.

Reference: https://docs.enigmagenomics.com/enigma-lis-integrations/reports/get-report-pdf

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /reports/pdf/EG23A100/EGGENSOL:
    get:
      operationId: Get report PDF
      summary: Get report PDF
      description: "The\_**Get Report PDF API**\_retrieves the PDF file for a specific report for a given sample.\n\n- **Method:**\_`GET`\n    \n- **Path:**\_`{{baseUrl}}/reports/pdf/{sampleId}/{reportCode}`\n    \n- **Example:**\_`{{baseUrl}}/reports/pdf/EG23A100/EGGENSOL`\n    \n- **Purpose:**\_Returns the binary PDF document for the specified report code (e.g.,\_`EGGENSOL`) belonging to the sample ID (e.g.,\_`EG23A100`), so it can be viewed, downloaded, or attached in downstream systems."
      tags:
        - reports
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reports_Get report PDF_Response_200'
servers:
  - url: https://api.enigmagenomics.com
    description: https://api.enigmagenomics.com
components:
  schemas:
    reports_Get report PDF_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: reports_Get report PDF_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python
import requests

url = "https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL';
const options = {
  method: 'GET',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.enigmagenomics.com/reports/pdf/EG23A100/EGGENSOL")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```